<?php
define('PROTECTOR', 1);

$headmod = 'forogallery';//фикс. места

$textl='Фотогалерея';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

$config_filefoto="640";
$config_ize="100000";
$config_fotolist="5";
echo'<a href="fots.php?event=addform">Загрузить фото</a><hr>';
if (isset($_GET['event'])) {
if ($_GET['event']=="add") {  // Событие добавления сообщения if $event=add
// возвращаем значения данных из формы и присваиваем их переменным
if (isset ($_POST['name']) & isset ($_POST['msg'])) {$name=$_POST['name']; $msg=$_POST['msg'];} else {exit;}

// Вырезаем ПРОБЕЛьные символы
$name=trim($name);
$msg=trim($msg);
$fotosize=$_FILES['file']['size'];
$foto=$_FILES['file']['name'];
$size = GetImageSize($_FILES['file']['tmp_name']); // Узнаем размеры
$width = $size[0];
$height = $size[1];





$data = file("fots/fotogal/bases.dat");
for ($p=0;$p<count($data);$p++) {
$dat_arr = explode("|", $data[$p]);
$valid_types = array("gif","jpg","png");
if ($dat_arr[6] == $foto)
{echo 'Файл с таким именем '.$foto.' существует в базе, пожалуйста добавьте фотографию с другим именем<br>';
include($path.'files/down.php');
exit;}}



if ($name == "" || strlen($name) > 50) {echo 'Название пустое, или превышает 50 символов!';
include($path.'files/down.php');
exit;}
if ($msg == "" || strlen($msg) > 500) {echo 'Ваша подпись пустая или превышает 300 символов.'; include($path.'files/down.php');
include($path.'files/down.php');
exit;}

$filename = $_FILES['file']['name']; // определяем имя файла
// проверяем расширение файла
$ext = substr($filename, 1 + strrpos($filename, "."));

if($ext=="jpg" || $ext=="gif" || $ext=="png"){

}else{echo 'Ошибка, недопустимое расширение (Только gif, jpg или png)!<br>';

include($path.'files/down.php');
exit;}

if($width>$config_filefoto || $height>$config_filefoto || $height<"25" || $width<"25" ) {
echo'Размер картинки не должен превышать разрешения '.$config_filefoto.'*'.$config_filefoto.' px<br>';
include($path.'files/down.php');
exit;}

if(eregi("[^a-z0-9.()+_-]",$foto)){
echo'В названии изображения '.$foto.' присутствуют недопустимые символы';
include($path.'files/down.php');
exit;}


if($fotosize=="2" || $fotosize>$config_ize) {
echo'Вес изображения превышает допустимое значение, не более '.$config_ize.' бит';
include($path.'files/down.php');
exit;}



if($_FILES['file']['size']!="0" and $_FILES['file']['size']<$config_ize) {copy($_FILES['file']['tmp_name'], "fots/fotogal/".$_FILES['file']['name']);
$ch=$_FILES['file']['name'];


$size = getimagesize("fots/fotogal/$ch");

if($size[2]=="2"){
echo'<img src="resize.php?act=jpg&image='.$ch.'&show=full" alt="">';}
elseif($size[2]=="1"){
echo'<img src="resize.php?act=gif&image='.$ch.'&show=full" alt="">';}
elseif($size[2]=="3"){
echo'<img src="resize.php?act=png&image='.$ch.'&show=full" alt="">';}



echo '<img src="fots/fotogal/'.$_FILES['file']['name'].'" height=100 width=100 alt="">';


} else {
echo 'Произошла ошибка при копировании изображения'; exit;}
$foto=$_FILES['file']['name'];
$fotoksize=round($fotosize/10.24)/100; // размер фото в килобайтах
$fotosize=$_FILES['file']['size'];




$size = getimagesize("fots/fotogal/$foto");


$log=htmlspecialchars(stripslashes($log));
$msg=htmlspecialchars(stripslashes($msg));
$name=htmlspecialchars(stripslashes($name));
$foto=htmlspecialchars(stripslashes($foto));
$msg=preg_replace ("|[\r\n]+|si","",$msg);
$name=preg_replace ("|[\r\n]+|si","",$name);

// Запись данных в файл по шаблону:
// собщение|имя|login|дата|время||фото_большое|размер|разрешение_длина|разрешение_ширина|
$text=$msg.'|'.$name.'|'.$log.'|'.$date.'|'.$time.'||'.$foto.'|'.$fotoksize.'|'.$size[0].'|'.$size[1].'|';
$fp=fopen("fots/fotogal/bases.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);

echo '<br>Спасибо, <b>'.$log.'</b><br> Ваша фотография успешно добавлена. <br><a href="fots.php?">Продолжить</a>';
include($path.'files/down.php');
exit;
}



if ($_GET['event']=="addform") {
echo '<form action="fots.php?event=add" method="post" name="form" enctype="multipart/form-data">';
echo 'Название: <br><input type="text" value="" name="name" /><br>Прикрепить фото: <br>';
echo '<input type="file" name="file" /><br>Надпись к фото: <br><textarea cols="25" rows="3" name="msg"></textarea><br><br>';
echo '<input type="submit" value="Загрузить" /></form>';
echo 'Разрешается загружать фотографии с расширением ';
$config_ize2=round($config_ize/1024,1);
echo'<br> весом не более '.$config_ize2.' kb и размером не более '.$config_filefoto.'*'.$config_filefoto.' px';
echo'<br>* Разрешённые форматы: gif ,jpg ,png';
}



// При запросе - показываем КРУПНОЕ ИЗОБРАЖЕНИЕ
if ($_GET['event']=="showimg") {

if (isset($_GET['num'])) {$num=$_GET['num']+1;} else {$num=0;}
$lines = file("fots/fotogal/bases.dat");
$dti=explode("|",$lines[$num]);
echo '<a href="anketa.php?nick='.$dti[2].'&'.$sd.'&go=look">'.$dti[2].'</a>';


$size = getimagesize("fots/fotogal/$dti[6]");

if($size[2]=="2"){
echo'<img src="resize.php?act=jpg&image='.$dti[6].'&show=full" alt="">';}
elseif($size[2]=="1"){
echo'<img src="resize.php?act=gif&image='.$dti[6].'&show=full" alt="">';}
elseif($size[2]=="3"){
echo'<img src="resize.php?act=png&image='.$dti[6].'&show=full" alt="">';}
$vis=round($dti[9]/2);
$wup=round($dti[8]/2);

print "<br><img src=\"fots/fotogal/$dti[6]\" height=200 width=200 alt=\"\"/><br><a href=\"local/datagallery/$dti[6]\">Скачать</a><br/> ";

echo 'Описание: '.$dti[0].'<br>';
echo 'Разрешение: <b>'.$dti[8].' х '.$dti[9].'</b>, ';
echo 'Размер: <b>'.$dti[7].'</b> Кб.<br>';



}


} else {



$lines = file("fots/fotogal/bases.dat");
if($lines){
$total= count($lines);}
$maxi = count($lines)-1;
$total=(int)$total;
if($total<1){echo'<br><b>Фотографий нет, будь первым!</b><br>';}



if (isset($_GET['page'])) {$page=$_GET['page'];} else {$page="1";}
if ($page=="0") {$page="1";} else {$page=abs($page);}


// Выводим $config_fotolist фото на текущей странице
$maxpage=ceil(($maxi+1)/$config_fotolist); if ($page>$maxpage) {$page=$maxpage;}

$fm=$maxi-$config_fotolist*($page-1); if ($fm<"0") {$fm=$config_fotolist;}
$lm=$fm-$config_fotolist; if ($lm<"0") {$lm="-1";}

do { $dt = explode("|", $lines[$fm]);
$fm--;
$tp=$fm; $teknum=$maxi-$tp;
if(!$dt[0]==""){

$req = mysql_query("SELECT `prava` FROM `users` WHERE `usr` = '$dt[2]'");
$pic = mysql_fetch_array($req);
echo ' <a href="search.php?nick='.$dt[2].'&go=go">'.$dt[2].'</a>';
if($pic['prava']==5){
echo'<font color="lime">[sa]</font>';
}

   if($pic['prava']==3){
echo'<font color="lime">[sm]</font>';
}



$wup2=round($dt[8]/5);
$vis2=round($dt[9]/5);
$size = getimagesize("fots/fotogal/$dt[6]");
if($size[2]=="2"){
echo'<img src="resize.php?act=jpg&image='.$dt[6].'" alt="">';}
elseif($size[2]=="1"){
echo'<img src="resize.php?act=gif&image='.$dt[6].'" alt="">';}
elseif($size[2]=="3"){
echo'<img src="resize.php?act=png&image='.$dt[6].'" alt="">';}
echo "<br><img src=\"fots/fotogal/$dt[6]\" height=100 width=100 alt=\"\"/><br/> ";
echo'</a>Описание: '.$dt[0].'<br>';
}


$cm=1;
$zz=$maxi-$fm;
if ((round(($maxi-$fm)))==(($maxi-$fm))) {$cm++;}
$whm=$lm; $whe=$fm;
} while($whm < $whe);

if($total>$config_fotolist){
echo '<br><hr>Страницы:  ';
$ba=ceil($total/$config_fotolist);

$asd=($page*$config_fotolist)-($config_fotolist*3);
$asd2=($page*$config_fotolist)+($config_fotolist*2);
if($asd<0){$asd=0;}
if($asd2>$total){$asd2=$total;}

if($asd<$total && $asd>1){echo ' <a href="fots.php?page=1&'.$sd.'">1</a> ... ';}

for($i=$asd; $i<$asd2;) {$ip=$i/$config_fotolist+1;

if ($page==$ip) {echo ' <b>'.(int)$ip.'</b> ';} else {echo ' <a href="fots.php?page='.(int)$ip.'&'.$sd.'">'.(int)$ip.'</a> ';}
$i=$i+$config_fotolist;}
if($asd2<$total){echo ' ... <a href="fots.php?page='.(int)$ba.'&'.$sd.'">'.(int)$ba.'</a>';}
}

echo'<br>Всего фотографий: ('.$total.')';
echo'<hr>* Порно, фотографии звезд и т.д запрещены. Банить буду за нарушения.';
}
include($path.'files/down.php');
?>